# Дополнение NVDA Open AI 

Это дополнение предназначено для плавной интеграции возможностей Open AI API в ваш рабочий процесс. Если вам нужно составить исчерпывающий текст, точно перевести отрывки, кратко изложить суть документов или даже интерпретировать и описать визуальный контент, это дополнение с лёгкостью справится со всеми задачами.

Дополнение также поддерживает интеграцию с сервисами Mistral и OpenRouter благодаря общему формату API.

## Шаги установки

1. Перейдите на страницу [releases page](https://github.com/aaclause/nvda-OpenAI/releases), чтобы найти последнюю версию дополнения.
2. Загрузите последнюю версию по указанной ссылке.
3. Запустите программу установки, чтобы добавить дополнение в среду NVDA.

## Настройка ключа API

Для использования этого дополнения вам необходимо настроить его с помощью API-ключа от выбранных вами поставщиков услуг ([OpenAI](https://platform.openai.com/), [Mistral AI](https://mistral.ai/) и/или [OpenRouter](https://openrouter.ai/)). Каждый поставщик предлагает простой процесс получения и интеграции API-ключа.

После получения ключа API следующим шагом будет интеграция с дополнением:

- Перейдите в меню NVDA к пункту 'Параметры', а затем к пункту 'Настройки'. В диалоговом окне "Настройки" найдите категорию "Open AI".
- В этой категории вы увидите группу с надписью "Ключи API", которая содержит кнопки с названиями поддерживаемых поставщиков услуг (например, "Ключи API OpenAI...").
- Нажмите на кнопку, соответствующую  вашему сервису. Появится диалог, запрашивающий не только ваш ключ API, но и ключ организации, если он у вас есть. Это особенно полезно для интеграции с сервисами, которые различают личное и корпоративное использование.
- Введите свой API-ключ и, при необходимости, ключ организации в соответствующие поля и нажмите "ОК", чтобы сохранить настройки.

Теперь вы готовы к изучению возможностей дополнения NVDA OpenAI !

## Как пользоваться дополнением

### Главный диалог

Большинство функций дополнения легко доступны через диалоговое окно, которое можно запустить, нажав `NVDA+G`.  
В качестве альтернативы перейдите в подменю "Open AI" в меню NVDA и выберите пункт "Main Dialog...".  
В этом диалоге вы сможете:

- Инициировать интерактивные разговоры с моделями ИИ для получения помощи или информации.
- Получать описания изображений из графических файлов.
- Расшифровывать устную речь из аудиофайлов или через микрофон.
- Использовать функцию преобразования текста в речь для озвучивания  текста, написанного в подсказке.

#### Повышение производительности с помощью быстрых клавиш.

Чтобы еще больше улучшить взаимодействие с интерфейсом, обратите внимание на следующее:

- Многострочные поля "Системная подсказка", "Сообщения" и "Подсказка" оснащены контекстными меню, содержащими команды, которые можно быстро выполнить с помощью сочетаний клавиш. То же самое относится и к списку моделей.
  Эти сочетания клавиш активны, когда соответствующее поле находится в фокусе.
  Например, в области "Сообщения" нажатие кнопки "j" приводит к переходу к предыдущему сообщению, а "k" - к следующему).

- Кроме того, в интерфейс включены сочетания клавиш, которые действуют во всем окне.
  Например, `CTRL + R` запускает или останавливает запись.

Все сочетания клавиш отображаются рядом с названиями соответствующих элементов.

#### О флажке "Режим разговора"

Флажок "Режим разговора" предназначен для повышения удобства общения в чате и экономии токенов.

Если флажок установлен (настройка по умолчанию) дополнение передаёт всю историю разговора модели искусственного интеллекта, тем самым улучшая ее контекстное понимание и приводя к более последовательным ответам. Однако такой всеобъемлющий режим приводит к увеличению расхода входных маркеров.

И наоборот, если флажок не установлен, в модель ИИ отправляется только текущая подсказка пользователя. Выберите этот режим, чтобы задать конкретные вопросы или получить дискретные ответы, минуя необходимость понимания контекста и экономя токены, когда история диалога не нужна.

Вы можете переключаться между этими двумя режимами в любой момент во время сеанса.

#### О поле "Системная подсказка"

Поле "Системная подсказка" предназначено для тонкой настройки поведения и личности модели ИИ в соответствии с вашими ожиданиями.

- **Системная подсказка по умолчанию**: При установке дополнение включает в себя системную подсказку по умолчанию, готовую к использованию.
- **Настройка**: У вас есть возможность персонализировать системную подсказку, изменяя текст непосредственно в поле. Дополнение запомнит последнюю использованную вами системную подсказку и автоматически загрузит её при следующем запуске диалога. Это поведение можно отключить в настройках.
- **Возможность сброса**: Хотите вернуться к стандартной конфигурации? Просто воспользуйтесь контекстным меню, чтобы без труда вернуть поле "Системная подсказка" к значению по умолчанию.

Пожалуйста, помните, что системная подсказка включена во входные данные модели ИИ и потребляет соответствующее ей количество токенов.

### Глобальные команды

Эти команды могут быть использованы для запуска действий из любой точки компьютера. Их можно переназначить из диалога *Жесты ввода* в категории *Open AI*.

- `NVDA+e`: Сделать снимок экрана и описать его.
- `NVDA+o`: Захватить текущий объект навигатора и описать его.
- Команды, не назначенные по умолчанию ни на один жест:
	- Переключить запись с микрофона и расшифровать аудиозапись из любого места.

## Включённые зависимости

Дополнение поставляется со следующими необходимыми зависимостями:

- [openai](https://pypi.org/project/openai/): Официальная библиотека Python для API openai.
- [markdown2](https://pypi.org/project/markdown2/): Быстрая и полная реализация Markdown на Python.
- [MSS](https://pypi.org/project/mss/): Сверхбыстрый кроссплатформенный модуль множественных скриншотов на чистом python с использованием ctypes.
- [Pillow](https://pypi.org/project/Pillow/): Удобный форк библиотеки Python Imaging Library, используемой для изменения размеров изображений.
- [sounddevice](https://pypi.org/project/sounddevice/): Воспроизведение и запись звука с помощью Python.

