# Додаток для NVDA Open AI 

Цей додаток призначений для безперешкодної інтеграції можливостей API Open AI у ваш робочий процес. Незалежно від того, чи потрібно вам створити вичерпний текст, точно перекласти уривки, стисло підсумувати документи або навіть інтерпретувати й описати візуальний вміст, цей додаток легко впорається з усіма цими завданнями.

Додаток також підтримує інтеграцію зі службами Mistral і OpenRouter завдяки їх спільному формату API

## Етапи встановлення

1. Перейдіть на [сторінку випусків](https://github.com/aaclause/nvda-OpenAI/releases), щоб знайти останню версію додатка.
2. Завантажте останню версію за наданим посиланням.
3. Запустіть інсталятор, щоб додати додаток до вашого середовища NVDA.

## Конфігурація ключа API

Щоб використовувати цей додаток, вам потрібно налаштувати його за допомогою ключа API від вибраного постачальника послуг ([OpenAI](https://platform.openai.com/), [Mistral AI](https:// mistral.ai/) та [OpenRouter](https://openrouter.ai/). Кожен постачальник пропонує простий процес для отримання та інтеграції ключа API.

Отримавши ключ API, наступним кроком буде його інтеграція з додатком:

 - Перейдіть у меню NVDA Параметри, Налаштування. У   діалозі «Налаштуваннь NVDA» знайдіть категорію «Open AI».
- У цій категорії ви помітите групу під назвою "Ключі API", яка містить кнопки з назвами підтримуваних постачальників послуг (наприклад, "Ключі API OpenAI...").
- Натисніть на відповідну кнопку для вашого постачальника. З'явиться діалог, в якому буде запропоновано ввести не тільки ваш ключ API, але й ключ організації, якщо він у вас є. Це особливо корисно для інтеграції з сервісами, які розмежовують особисте та організаційне використання.
- Введіть свій ключ API і, якщо потрібно, ключ організації у відповідні поля та натисніть "ОК", щоб зберегти налаштування.

Тепер ви готові до вивчення можливостей додатка OpenAI NVDA!

## Як користуватися додатком

### Доступ до основних функцій

Функціональність додатка розміщена в головному діалозі, який можна відкрити за допомогою комбінації клавіш `NVDA+g`.  
Як альтернатива, перейдіть до підменю "Open AI" в меню NVDA і виберіть пункт "Головний діалог...".
Цей діалог надає доступ до більшості функцій додатка, що дозволяє вам:

- Вступати в розмову з моделлю Штучного інтелекту.
- Отримувати описи зображень з файлів зображень.
- Транскрибувати голосовий вміст із аудіофайлів.
- Використовувати функцію перетворення тексту в мовлення, щоб озвучити написаний текст у полі запиту.

#### Підвищуйте свою продуктивність за допомогою комбінацій клавіш

Щоб ще більше покращити вашу взаємодію з інтерфейсом, зверніть увагу на нижченаведене:

- Багаторядкові поля "Системна підказка", "Повідомлення" та "Запит" оснащені контекстними меню з командами, які можна швидко виконати за допомогою комбінацій клавіш.
  Ці гарячі клавіші активні, коли фокус перебуває на відповідному полі.
  Наприклад, клавіші "j" і "k" дозволяють перейти до попереднього і наступного повідомлень відповідно, коли фокус перебуває в полі "Історія".
- Крім того, інтерфейс містить комбінації клавіш, які діють у всьому вікні. Наприклад, `CTRL + R` починає або зупиняє запис.

Всі комбінації клавіш відображаються поруч з мітками відповідних елементів.

- `Ctrl + Enter`: Надсилає введений текст.
- `Ctrl+стрілка вгору`: отримати та розмістити останній введений запит у поточне поле для перегляду чи повторного використання.
 - Коли фокус у полі історії:
- `Alt+стрілка вправо`: копіює текст користувача в поле запиту.
- `Alt+стрілка вліво`: копіює відповідь помічника в поле system.
- `Ctrl+c`: копіює відповідь помічника або текст користувача залежно від положення курсора.
- `Ctrl+d`: Видалити поточний блок (введення користувача та відповідь помічника).
- `Ctrl+Shift+стрілка вгору`: перехід до текстового блоку користувача або помічника над поточним блоком.
- `Ctrl+Shift+стрілка вниз`: перехід до текстового блоку користувача або помічника під поточним блоком.

### Гарячі клавіші

Ці команди можна використовувати для запуску дій з будь-якого місця на вашому комп'ютері. Їх можна перепризначити з діалогу *Жести вводу* у категорії *Open AI*.

- `NVDA+e`: зробити знімок екрана та описати його.
- `NVDA+o`: Захопити поточний об'єкт навігатора та описати його.
- Команди, початково не призначені жодному жесту 
	- Перемикати запис мікрофона та транскрибувати аудіо з будь-якого місця.

#### Про прапорець Режим розмови

Прапорець "Режим розмови" призначений для покращення роботи в чаті та збереження токенів введення.

Коли цей режим активовано (початково), додаток передає всю історію розмови моделі ШІ, завдяки чому вона краще розуміє контекст і дає більш зв'язні відповіді. Цей комплексний режим призводить до більшого споживання вхідних токенів.

І навпаки, якщо прапорець не позначено, до моделі ШІ надсилається лише поточний запит користувача. Виберіть цей режим, щоб ставити конкретні запитання або отримувати конкретні відповіді, оминаючи необхідність контекстного розуміння і зберігаючи токени введення, коли історія діалогу не потрібна.

Ви можете перемикатися між цими двома режимами в будь-який момент під час сеансу.

#### Про поле "Системна підказка".

Поле «Системна підказка» призначене для точного налаштування поведінки та індивідуальності моделі ШІ відповідно до ваших конкретних очікувань.

- **Початкова підказка**: після інсталяції додаток містить готову до використання початкову системну підказку 
- **Налаштування**: у вас є свобода персоналізувати системну підказку, змінюючи текст безпосередньо в полі. Додаток запам’ятає останню системну підказку, яку ви використовували, і автоматично завантажить її під час наступного запуску діалогу. Цю поведінку можна вимкнути в налаштуваннях.
- **Опція скидання**: Хочете повернутися до початкової конфігурації? Просто скористайтеся контекстним меню, щоб легко скинути поле `System` до початкового значення.

Зверніть увагу, що підказка системи включається у вхідні дані ШІ-моделі, відповідно витрачаючи токени.

ДАЛІ БУДЕ
